<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE indexpage SYSTEM "./style/sitemap.dtd">
<?xml-stylesheet type="text/xsl" href="./style/manual.es.xsl"?>
<!-- English Revision: 1732097 -->
<!-- Spanish Update by Luis Gil de Bernabé Pfeiffer lgilbernabe[AT]apache.org -->
<!-- Review by Sergio Ramos -->
<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<indexpage metafile="index.xml.meta">
<parentdocument href="http://httpd.apache.org/docs-project/" />

<title>Versión &httpd.major;.&httpd.minor; de la documentación del Servidor de HTTP Apache</title>

<category id="release"><title>Notas de la Versión</title>
    <page href="new_features_2_4.html">Nuevas funcionalidades en Apache 2.3/2.4</page>
    <page href="new_features_2_2.html">Nuevas funcionalidades en Apache 2.1/2.2</page>
    <page href="new_features_2_0.html">Nuevas funcionalidades en Apache 2.0</page>
    <page href="upgrading.html">Actualizarse a la versión 2.0 desde la 1.3</page>
    <page href="license.html">Licencia Apache</page>
</category>

<category id="manual"><title>Manual de Referencia</title>
    <page href="install.html">Compilación e Instalación</page>
    <page href="invoking.html">Iniciar Apache</page>
    <page href="stopping.html">Parar y reiniciar Apache</page>
    <page href="mod/directives.html">Directivas para configurar la
ejecución</page>
    <page href="mod/quickreference.html">Directivas de configuración en 
    tiempo de ejecución</page>
    <page href="mod/">Módulos</page>
    <page href="mpm.html">Módulos de MultiProcesamiento (MPMs)</page>
    <page href="filter.html">Filtros</page>
    <page href="handler.html">Handlers</page>
    <page href="expr.html">Analizador de Expresiones</page>
    <page href="programs/">Programas de Soporte y Servidor</page>
    <page href="glossary.html">Glosario</page>
</category>    

<category id="usersguide"><title>Guía del Usuario</title>
    <page href="getting-started.html">Empezando</page>
    <page href="bind.html">Enlazando Direcciones y Puertos</page>
    <page href="configuring.html">Ficheros de Configuración</page>
    <page href="sections.html">Secciones de Configuración</page>
    <page href="caching.html">Almacenamiento de Contenido en Caché</page>
    <page href="content-negotiation.html">Negociación de Contenidos</page>
    <page href="dso.html">Objetos Compartidos Dinámicamente (DSO)</page>
    <page href="env.html">Variables de Entorno</page>
    <page href="logs.html">Ficheros de Log</page>
    <page href="urlmapping.html">Mapear URLs a ubicaciones de un
    sistema de ficheros</page>
    <page href="misc/perf-tuning.html">Ajustes para conseguir un mejor rendimiento</page>
    <page href="misc/security_tips.html">Consejos de Seguridad</page>
    <page href="server-wide.html">Configuración Básica de Apache</page>
    <page href="ssl/">Encriptado SSL/TLS</page>
    <page href="suexec.html">Ejecución de Suexec para CGIs</page>
    <page href="rewrite/">Reescritura de URL con mod_rewrite</page>    
    <page href="vhosts/">Servidores Virtuales</page>
</category>

<category id="howto"><title>How-To / Tutoriales</title>
    <page href="howto/auth.html">Autenticación y Autorización</page>
    <page href="howto/access.html">Control de Acceso</page>    
    <page href="howto/cgi.html">CGI: Contenido Dinámico</page>
    <page href="howto/htaccess.html">Ficheros .htaccess</page>
    <page href="howto/ssi.html">Server Side Includes (SSI)</page>
    <page href="howto/public_html.html">Directorios web para cada
    usuario (public_html)</page>
    <page href="howto/reverse_proxy.html">Reverse proxy setup guide</page>
</category>

<category id="platform"><title>Notas específicas sobre plataformas</title>
    <page href="platform/windows.html">Microsoft Windows</page>
      <page href="platform/rpm.html">Sistemas Basados en RPM 
      (Redhat / CentOS / Fedora)</page>
    <page href="platform/netware.html">Novell NetWare</page>
    <page href="platform/ebcdic.html">EBCDIC Port</page>
</category>

<category id="other"><title>Otros Temas</title>
    <page href="faq/">Preguntas Frecuentes</page>
    <page href="sitemap.html">Mapa del Sitio</page>
    <page href="developer/">Documentación para desarrolladores</page>
    <page href="http://httpd.apache.org/docs-project/">Contribuir en la Documentación</page>
    <page href="misc/">Otros documentos</page>
    <page href="http://wiki.apache.org/httpd/">Wiki</page>
</category>

</indexpage>


