<?xml version="1.0" ?>
<!DOCTYPE manualpage SYSTEM "../style/manualpage.dtd">
<?xml-stylesheet type="text/xsl" href="../style/manual.fr.xsl"?>
<!-- English Revision : 1174747 -->
<!-- French translation : Lucien GENTIS -->
<!-- Reviewed by : Vincent Deffontaines -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<manualpage metafile="relevant_standards.xml.meta">
  <parentdocument href="./">Documentations diverses</parentdocument>

  <title>Standards applicables</title>

  <summary>
    <p>Cette page documente tous les standards applicables que suit le
    serveur HTTP Apache, accompagn&eacute;s d'une br&egrave;ve description.</p>

    <p>Pour compl&eacute;ter les informations fournies ci-dessous, vous pouvez
    consulter les ressources suivantes :</p>

    <ul>
      <li>
        <a href="http://purl.org/NET/http-errata">
        http://purl.org/NET/http-errata</a> - Corrections de la
	sp&eacute;cification HTTP/1.1
      </li>
      <li>
      <a href="http://www.rfc-editor.org/errata.php">
        http://www.rfc-editor.org/errata.php</a>   - Corrections des RFCs
      </li>
      <li>
        <a href="http://ftp.ics.uci.edu/pub/ietf/http/#RFC">
        http://ftp.ics.uci.edu/pub/ietf/http/#RFC</a> - Une liste
	pr&eacute;compil&eacute;e des RFCs en rapport avec HTTP
      </li>
    </ul>

    <note type="warning"><title>Avertissement</title>
    <p>Ce document n'est pas encore finalis&eacute;.</p>
    </note>

  </summary>

  <section id="http_recommendations"><title>Recommandations HTTP</title>

    <p>Ind&eacute;pendamment des modules compil&eacute;s et utilis&eacute;s, Apache en
    tant que serveur web de base respecte les recommandations IETF
    suivantes :</p>

    <dl>
      <dt><a href="http://www.rfc-editor.org/rfc/rfc1945.txt">RFC 1945</a>
      (Informations)</dt>

      <dd>Le Protocole de Transfert Hypertexte (Hypertext Transfer
      Protocol - HTTP) est un protocole de niveau application avec la
      clart&eacute; et la vitesse n&eacute;cessaires pour les syst&egrave;mes d'informations
      distribu&eacute;s, collaboratifs et hyperm&eacute;dia. Cette RFC documente le
      protocole HTTP/1.0.</dd>

      <dt><a href="http://www.rfc-editor.org/rfc/rfc2616.txt">RFC 2616</a>
      (S&eacute;rie de standards)</dt>

      <dd>Le Protocole de Transfert Hypertexte (Hypertext Transfer
      Protocol - HTTP) est un protocole de niveau application pour les
      syst&egrave;mes d'informations distribu&eacute;s, collaboratifs et hyperm&eacute;dia.
      Cette RFC documente le protocole HTTP/1.1.</dd>

      <dt><a href="http://www.rfc-editor.org/rfc/rfc2396.txt">RFC 2396</a>
      (S&eacute;rie de standards)</dt>

      <dd>Un Identificateur de Ressource Uniforme (Uniform Resource
      Identifier - URI) est une cha&icirc;ne de caract&egrave;res compacte permettant
      d'identifier une ressource physique ou abstraite.</dd>

      <dt><a href="http://www.rfc-editor.org/rfc/rfc4346.txt">RFC 4346</a>
      (S&eacute;rie de standards)</dt>

      <dd>Le protocole TLS permet l'utilisation de communications
      s&eacute;curis&eacute;es sur l'Internet. Il fournit le chiffrement, et a &eacute;t&eacute;
      con&ccedil;u pour se pr&eacute;munir contre l'interception, la modification et
      la falsification de messages.</dd>
    </dl>

  </section>

  <section id="html_recommendations"><title>Recommandations HTML</title>

    <p>En ce qui concerne le langage HTML, Apache respecte les
    recommandations IETF et W3C suivantes :</p>

    <dl>
      <dt><a href="http://www.rfc-editor.org/rfc/rfc2854.txt">RFC 2854</a>
      (Informations)</dt>

      <dd>Ce document r&eacute;sume l'historique du d&eacute;veloppement de HTML, et
      d&eacute;finit le type MIME "text/html" en pointant les recommandations
      W3C correspondantes.</dd>

      <dt><a href="http://www.w3.org/TR/html401">Sp&eacute;cification HTML
      4.01</a>
      (<a
      href="http://www.w3.org/MarkUp/html4-updates/errata">Corrections
      d'erreurs</a>)
      </dt>

      <dd>Cette sp&eacute;cification d&eacute;finit le Langage &agrave; Balises HyperTexte
      (HyperText Markup Language - HTML), le langage de publication du
      World Wide Web. Elle d&eacute;finit HTML 4.01, qui est une sous-version
      de HTML 4.</dd>

      <dt><a href="http://www.w3.org/TR/REC-html32">R&eacute;f&eacute;rence HTML
      3.2</a></dt>

      <dd>Le langage &agrave; Balises HyperTexte (HyperText Markup Language -
      HTML) est un langage &agrave; balises simple permettant de cr&eacute;er des
      documents hypertextes portables. Les documents HTML sont aussi des
      documents SGML.</dd>

      <dt><a href="http://www.w3.org/TR/xhtml11/">XHTML 1.1 -
      XHTML sous forme de modules</a>
      (<a href="http://www.w3.org/MarkUp/2009/xhtml11-2nd-edition-errata.html">Corrections
      d'erreurs</a>)
      </dt>

      <dd>Cette recommandation d&eacute;finit un nouveau type de document XHTML
      bas&eacute; sur le cadre de d&eacute;veloppement des modules et les modules
      d&eacute;finis dans la modularisation de XHTML.</dd>

      <dt><a href="http://www.w3.org/TR/xhtml1">XHTML 1.0, le Langage &agrave;
      Balises Hypertexte Extensible (Extensible HyperText Markup
      Language) - Seconde &eacute;dition</a>
      (<a href="http://www.w3.org/2002/08/REC-xhtml1-20020801-errata/">Corrections
      d'erreurs</a>)
      </dt>

      <dd>Cette sp&eacute;cification d&eacute;finit la seconde &eacute;dition de XHTML 1.0,
      une reformulation de HTML 4 en tant qu'application XML 1.0, ainsi
      que trois DTDs correspondant &agrave; celles d&eacute;finies par HTML 4.</dd>
    </dl>

  </section>

  <section id="authentication"><title>Authentification</title>

    <p>En ce qui concerne les diff&eacute;rentes m&eacute;thodes d'authentification,
    Apache respecte les recommandations IETF suivantes :</p>

    <dl>
      <dt><a href="http://www.rfc-editor.org/rfc/rfc2617.txt">RFC 2617</a>
      (Le track des standards)</dt>

      <dd>"HTTP/1.0", y compris la sp&eacute;cification d'un protocole basique
      d'authentification et de contr&ocirc;le d'acc&egrave;s.</dd>

    </dl>

  </section>

  <section id="language_country_codes"><title>Codes de langues et de
  pays</title>

    <p>Les liens suivants fournissent des informations &agrave; propos des
    codes de langues et de pays aux normes ISO ou autres :</p>

    <dl>
      <dt><a href="http://www.loc.gov/standards/iso639-2/">ISO 639-2</a></dt>

      <dd>ISO 639 fournit deux jeux de codes de langues permettant de
      repr&eacute;senter les noms des langues ; le premier est
      un jeu de codes sur deux lettres (639-1), le second (celui
      pr&eacute;sent&eacute; dans le lien ci-dessus), est un jeu de codes sur trois
      lettres (639-2).</dd>

      <dt><a href="http://www.iso.ch/iso/en/prods-services/iso3166ma/02iso-3166-code-lists/index.html">
      ISO 3166-1</a></dt>

      <dd>Ce document pr&eacute;sente les noms de pays (les noms raccourcis
      officiels en anglais) dans l'ordre alphab&eacute;tique, tels qu'ils sont
      pr&eacute;sent&eacute;s dans la norme ISO 3166-1 et les &eacute;l&eacute;ments de codes
      correspondants de la norme ISO 3166-1-alpha-2.</dd>

      <dt><a href="http://www.rfc-editor.org/rfc/bcp/bcp47.txt">BCP 47</a>
      (Les meilleurs pratiques courantes),
      <a href="http://www.rfc-editor.org/rfc/rfc3066.txt">RFC 3066</a></dt>

      <dd>Ce document d&eacute;crit une balise de langue permettant de
      sp&eacute;cifier la langue utilis&eacute; dans un objet contenant des
      informations, la mani&egrave;re d'enregistrer des valeurs &agrave; utiliser dans
      cette balise de langage, et une m&eacute;thode pour comparer les balises
      de langue de ce style.</dd>

      <dt><a href="http://www.rfc-editor.org/rfc/rfc3282.txt">RFC 3282</a>
      (S&eacute;rie de standards)</dt>

      <dd>Ce document d&eacute;finit un en-t&ecirc;te "Content-language:" permettant
      de sp&eacute;cifier le langage d'un &eacute;l&eacute;ment poss&eacute;dant des en-t&ecirc;tes du
      style RFC 822, comme les portions de corps MIME ou les documents
      Web, et un en-t&ecirc;te "Accept-Language:" permettant de sp&eacute;cifier des
      pr&eacute;f&eacute;rences en mati&egrave;re de langue.</dd>
    </dl>

  </section>

</manualpage>
