<?xml version="1.0"?>
<!DOCTYPE modulesynopsis SYSTEM "../style/modulesynopsis.dtd">
<?xml-stylesheet type="text/xsl" href="../style/manual.fr.xsl"?>
<!-- English Revision: 1717800 -->
<!-- French translation : Lucien GENTIS -->
<!-- Reviewed by : Vincent Deffontaines -->

<!--
Upon adding a new module XML doc, you will need to:

svn ps svn:eol-style native <alltextfiles>
svn ps svn:keywords LastChangedRevision mod_allowmethods.xml

in order for it to rebuild correctly.

-->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<modulesynopsis metafile="mod_allowmethods.xml.meta">
<name>mod_allowmethods</name>
<description>Ce module permet de restreindre ais&eacute;ment les m&eacute;thodes HTTP
pouvant &ecirc;tre utilis&eacute;es sur le serveur</description>
<status>Experimental</status>
<sourcefile>mod_allowmethods.c</sourcefile>
<identifier>allowmethods_module</identifier>


<summary>
<p>Ce module permet de restreindre ais&eacute;ment les m&eacute;thodes HTTP
pouvant &ecirc;tre utilis&eacute;es sur le serveur. La configuration la plus courante
est du style :</p>

<highlight language="config">
&lt;Location "/"&gt;
   AllowMethods GET POST OPTIONS
&lt;/Location&gt;
</highlight>

</summary>

<directivesynopsis>
<name>AllowMethods</name>
<description>Restreint l'acc&egrave;s aux m&eacute;thodes HTTP sp&eacute;cifi&eacute;es</description>
<syntax>AllowMethods reset|<em>HTTP-method</em>
[<em>HTTP-method</em>]...</syntax>
<default>AllowMethods reset</default>
<contextlist><context>directory</context></contextlist>
<status>Experimental</status>

<usage>

<p>Les noms des m&eacute;thodes HTTP sont sensibles &agrave; la casse, et sont en
g&eacute;n&eacute;ral d&eacute;finis en majuscules, comme dans les RFCs. Les m&eacute;thodes GET et
HEAD sont consid&eacute;r&eacute;es comme &eacute;quivalentes. Le mot-cl&eacute;
<code>reset</code> permet de d&eacute;sactiver
<module>mod_allowmethods</module> dans les niveaux inf&eacute;rieurs
d'imbrication :</p>

<highlight language="config">
&lt;Location "/svn"&gt;
   AllowMethods reset
&lt;/Location&gt;
</highlight>

<note><title>Avertissement</title>
  <p>La m&eacute;thode TRACE ne peut pas &ecirc;tre rejet&eacute;e par ce module ; pour ce
  faire, vous devez utiliser la directive <directive
  module="core">TraceEnable</directive>.</p>
</note>

<p>Le module <module>mod_allowmethods</module> a &eacute;t&eacute; &eacute;crit pour
remplacer l'impl&eacute;mentation "bricol&eacute;e" des directives <directive
module="core">Limit</directive> et <directive
module="core">LimitExcept</directive>.</p>
</usage>
</directivesynopsis>

</modulesynopsis>

