<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE modulesynopsis SYSTEM "../style/modulesynopsis.dtd">
<?xml-stylesheet type="text/xsl" href="../style/manual.fr.xsl"?>
<!-- English Revision: 1731349 -->
<!-- French translation : Lucien GENTIS -->
<!-- Reviewed by : Vincent Deffontaines -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<!--<modulesynopsis> is the root tag and must surround all other tags.
The sequence of tags is important and must be followed in order for
the document to validate. -->

<modulesynopsis metafile="mod_dialup.xml.meta">
<name>mod_dialup</name>
<description>Envoie le contenu statique avec une bande passante limitée
définie par les différents standards des anciens modems.</description>
<status>Experimental</status>
<sourcefile>mod_dialup.c</sourcefile>
<identifier>dialup_module</identifier>

<summary>
<p>Il s'agit d'un module qui envoie le contenu statique avec une bande
passante limitée définie par les différents standards des anciens
modems. Ainsi, il est possible de naviguer sur votre site avec un modem
56k V.92 en positionnant une configuration de ce type :</p>

<highlight language="config">
&lt;Location "/mysite"&gt;
    ModemStandard "V.92"
&lt;/Location&gt;
</highlight>

<p>Auparavant, pour faire des modules de limitation de bande passante,
il fallait monopoliser un thread, pour chaque client, et insérer des
temporisations pour diminuer la bande passante. Grâce à cette nouvelle
fonctionnalité, un gestionnaire peut recevoir les réponses à ses
callbacks après N millisecondes, et il sera invoqué par le module MPM
Event dans un thread différent à la fin du délai indiqué. À partir de ce
moment, le gestionnaire peut continuer à envoyer des données au
client.</p>
</summary>

<directivesynopsis>
<name>ModemStandard</name>
<description>Standard de modem à simuler</description>
<syntax>ModemStandard V.21|V.26bis|V.32|V.34|V.92</syntax>
<contextlist><context>directory</context></contextlist>

<usage>
<p>Cette directive permet de spécifier le standard de modem que vous
souhaitez simuler.</p>

<highlight language="config">
&lt;Location "/mysite"&gt;
    ModemStandard "V.26bis"
&lt;/Location&gt;
</highlight>

</usage>

</directivesynopsis>

</modulesynopsis>

