<?xml version="1.0" ?>
<!DOCTYPE manualpage SYSTEM "../style/manualpage.dtd">
<?xml-stylesheet type="text/xsl" href="../style/manual.fr.xsl"?>
<!-- English Revision : 420990 -->
<!-- French translation : Lucien GENTIS -->
<!-- Reviewed by : Vincent Deffontaines -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<manualpage metafile="module-dict.xml.meta">

  <title>Termes utilis&eacute;s pour d&eacute;crire les modules</title>

<summary>
   <p>Ce document d&eacute;crit les termes utilis&eacute;s pour d&eacute;crire chaque <a
   href="./">module</a> Apache.</p>
</summary>

<section id="Description"><title>Description</title>

<p>Une br&egrave;ve description des fonctions du module.</p>
</section>

<section id="Status"><title>Statut</title>

    <p>Ce terme indique le degr&eacute; de rapprochement du module par rapport
    au coeur du serveur web Apache ; en d'autres termes, vous pouvez
    &ecirc;tre amen&eacute; &agrave; recompiler le serveur pour pouvoir acc&eacute;der au module et
    &agrave; ses fonctionnalit&eacute;s. Les valeurs possibles de cet attribut sont
    :</p>

    <dl>
      <dt>MPM</dt>

      <dd>Un module dont le statut est "MPM" est un <a
      href="../mpm.html">module Multi-Processus</a>. A la diff&eacute;rence des
      autres modules, un seul module MPM peut et doit &ecirc;tre utilis&eacute; par Apache &agrave;
      la fois. Ce type de module est responsable de la r&eacute;partition et du
      traitement de base des requ&ecirc;tes.</dd>

      <dt>Base</dt>

      <dd>Un module dont le statut est "Base" est compil&eacute; dans le
      serveur et charg&eacute; avec ce dernier par d&eacute;faut ; il est donc
      toujours disponible &agrave; moins que vous n'ayez fait en sorte de
      supprimer le module de votre configuration.</dd>

      <dt>Extension</dt>

      <dd>Un module dont le statut est "Extension" n'est pas compil&eacute; et
      charg&eacute; dans le serveur par d&eacute;faut. Pour activer le module et
      acc&eacute;der &agrave; ses fonctionnalit&eacute;s, vous devez modifier la
      configuration de la compilation du serveur et recompiler
      Apache.</dd>

      <dt>Exp&eacute;rimental</dt>

      <dd>Le statut "Experimental" indique que le module fait partie du
      kit Apache, mais que vous devez l'utiliser &agrave; vos risques et
      p&eacute;rils. Le module est document&eacute; &agrave; des fins d'exhaustivit&eacute;, et
      n'est pas obligatoirement support&eacute;.</dd>

      <dt>Externe</dt>

      <dd>Ce statut indique que le module ("module tiers") ne fait pas
      partie de la distribution de base d'Apache. Nous ne sommes pas
      responsables de ces modules et n'en assurons pas le support.</dd>
    </dl>
</section>

<section id="SourceFile"><title>Fichier source</title>

    <p>Il s'agit tout simplement de la liste des noms des fichiers
    source qui contiennent le code du module. C'est aussi le nom utilis&eacute;
    par la directive <directive module="core"
    type="section">IfModule</directive>.</p>
</section>

<section id="ModuleIdentifier"><title>Identificateur de module</title>

    <p>C'est une cha&icirc;ne permettant d'identifier le module &agrave; utiliser
    dans la directive <directive module="mod_so">LoadModule</directive>
    pour le chargement dynamique des modules. En particulier, c'est le
    nom de la variable externe de type module dans le fichier
    source.</p>
</section>

<section id="Compatibility"><title>Compatibilit&eacute;</title>

    <p>Si le module ne faisait pas partie de la distribution originale
    d'Apache version 2, la version &agrave; partir de laquelle il est
    disponible est indiqu&eacute;e ici. En outre, si le module n'est disponible
    que sur certaines plates-formes, cela sera mentionn&eacute; ici.</p>
</section>

</manualpage>
