<?xml version="1.0" ?>
<!DOCTYPE manualpage SYSTEM "../style/manualpage.dtd">
<?xml-stylesheet type="text/xsl" href="../style/manual.fr.xsl"?>
<!-- English Revision : 1363282 -->
<!-- French translation : Lucien GENTIS -->
<!-- Reviewed by : Vincent Deffontaines -->

<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

<manualpage metafile="htdigest.xml.meta">
<parentdocument href="./">Programmes</parentdocument>

<title>htdigest - Gestion des fichiers d'utilisateurs pour
l'authentification &agrave; base de condens&eacute;s</title>

<summary>
    <p><code>htdigest</code> permet de cr&eacute;er et maintenir les fichiers
    textes dans lesquels sont stock&eacute;s des noms d'utilisateurs, des
    domaines de protection (realms) et des mots de passe pour
    l'authentification &agrave; base de condens&eacute;s des utilisateurs HTTP.
    L'acc&egrave;s aux ressources du serveur HTTP Apache peut &ecirc;tre limit&eacute; aux
    seuls utilisateurs enregistr&eacute;s dans les fichiers cr&eacute;&eacute;s par
    <code>htdigest</code>.</p>

    <p>Cette page de manuel ne d&eacute;crit que les arguments de la ligne de
    commande. Pour plus de d&eacute;tails &agrave; propos des directives n&eacute;cessaires &agrave;
    la configuration de l'authentification &agrave; base de condens&eacute;s dans
    <program>httpd</program>, voir le manuel Apache qui est fourni avec
    la distribution et peut &ecirc;tre consult&eacute; &agrave; <a
    href="http://httpd.apache.org/">http://httpd.apache.org/</a>.</p>
</summary>
<seealso><program>httpd</program></seealso>
<seealso><module>mod_auth_digest</module></seealso>

<section id="synopsis"><title>Syntaxe</title>
    <p><code><strong>htdigest</strong> [ -<strong>c</strong> ]
    <var>fichier-mots-de-passe</var> <var>realm</var>
    <var>nom-utilisateur</var></code></p>
</section>

<section id="options"><title>options</title>
    <dl>
    <dt><code>-c</code></dt>
    <dd>Cr&eacute;e le fichier <var>fichier-mots-de-passe</var>. Si
    <var>fichier-mots-de-passe</var> existe d&eacute;j&agrave;, il est tout d'abord
    supprim&eacute;.</dd>

    <dt><code><var>fichier-mots-de-passe</var></code></dt>
    <dd>Nom du fichier contenant les noms utilisateurs, realms et mots
    de passe. Si l'option <code>-c</code> est sp&eacute;cifi&eacute;e, le fichier est
    cr&eacute;&eacute; s'il n'existe pas, ou supprim&eacute; et recr&eacute;&eacute; s'il existe
    d&eacute;j&agrave;.</dd>

    <dt><code><var>realm</var></code></dt>
    <dd>Le nom du domaine de protection auquel le nom d'utilisateur
    appartient. Voir <a
    href="http://tools.ietf.org/html/rfc2617#section-3.2.1">http://tools.ietf.org/html/rfc2617#section-3.2.1</a>
    pour plus de d&eacute;tails.</dd>

    <dt><code><var>nom-utilisateur</var></code></dt>
    <dd>Le nom d'utilisateur &agrave; cr&eacute;er ou mettre &agrave; jour dans le
    <var>fichier-mots-de-passe</var>. Si <var>nom-utilisateur</var> est
    absent de ce fichier, une nouvelle entr&eacute;e est ajout&eacute;e. Si
    l'utilisateur existe d&eacute;j&agrave;, le mot de passe est modifi&eacute;.</dd>
    </dl>
</section>

<section id="security"><title>Consid&eacute;rations &agrave; propos de s&eacute;curit&eacute;</title>
    <p>En tant qu'ex&eacute;cutable setuid, ce programme n'est pas s&ucirc;r. En
    cons&eacute;quence, &eacute;vitez de lui attribuer des permissions setuid.</p>
</section>

</manualpage>
